package com.hh.arome.bean;

import com.google.gson.annotations.SerializedName;

import java.util.List;

/**
 * 认证数据返回
 */
public class AuthenticationBean {

    @SerializedName("code")
    private int code;
    @SerializedName("msg")
    private String msg;
    @SerializedName("data")
    private List<DataDTO> data;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataDTO> getData() {
        return data;
    }

    public void setData(List<DataDTO> data) {
        this.data = data;
    }

    public static class DataDTO {
        @SerializedName("id")
        private int id;
        @SerializedName("name")
        private String name;
        @SerializedName("machineAppId")
        private String machineAppId;
        @SerializedName("serviceAppId")
        private String serviceAppId;
        @SerializedName("serviceAddress")
        private String serviceAddress;
        @SerializedName("appAuthToken")
        private Object appAuthToken;
        @SerializedName("appAuthTokenStatus")
        private boolean appAuthTokenStatus;
        @SerializedName("thirdAuth")
        private boolean thirdAuth;
        @SerializedName("sceneId")
        private int sceneId;
        @SerializedName("sceneName")
        private String sceneName;
        @SerializedName("trade")
        private String trade;
        @SerializedName("userLibId")
        private int userLibId;
        @SerializedName("userLibName")
        private String userLibName;
        @SerializedName("groupId")
        private String groupId;
        @SerializedName("logicGroupID")
        private String logicGroupID;
        @SerializedName("mode")
        private String mode;
        @SerializedName("useAlipayFace")
        private boolean useAlipayFace;
        @SerializedName("linkageAds")
        private String linkageAds;
        @SerializedName("successPageTime")
        private int successPageTime;
        @SerializedName("failPageTime")
        private int failPageTime;
        @SerializedName("zoloConfig")
        private ZoloConfigDTO zoloConfig;
        @SerializedName("useIdcard")
        private boolean useIdcard;
        @SerializedName("usePersonCard")
        private boolean usePersonCard;
        @SerializedName("useQrcode")
        private boolean useQrcode;
        @SerializedName("useLinkage")
        private boolean useLinkage;
        @SerializedName("faceMode")
        private String faceMode;
        @SerializedName("clickButtonText")
        private String clickButtonText;
        @SerializedName("isCaptureFace")
        private boolean isCaptureFace;
        @SerializedName("useSerialPort")
        private String useSerialPort;
        @SerializedName("signalNo")
        private String signalNo;
        @SerializedName("lightMode")
        private String lightMode;
        @SerializedName("volume")
        private int volume;
        @SerializedName("sucVoice")
        private String sucVoice;
        @SerializedName("sucText")
        private String sucText;
        @SerializedName("failVoice")
        private String failVoice;
        @SerializedName("failText")
        private String failText;
        @SerializedName("hideNavigationBar")
        private boolean hideNavigationBar;
        @SerializedName("forbidPullDown")
        private boolean forbidPullDown;
        @SerializedName("homePageUrl")
        private String homePageUrl;
        @SerializedName("transitionPageUrl")
        private String transitionPageUrl;
        @SerializedName("heartTrackingUrl")
        private String heartTrackingUrl;
        @SerializedName("transitPushUrl")
        private String transitPushUrl;
        @SerializedName("isNeed1V1")
        private boolean isNeed1V1;
        @SerializedName("showTopBar")
        private boolean showTopBar;
        @SerializedName("leftTopBarText")
        private String leftTopBarText;
        @SerializedName("rightTopBarText")
        private String rightTopBarText;
        @SerializedName("passWay")
        private String passWay;
        @SerializedName("isOpenAgeLimit")
        private boolean isOpenAgeLimit;//是否开启年龄限制
        @SerializedName("limitSectionStart")
        private int limitSectionStart;//限制区间
        @SerializedName("limitSectionEnd")
        private int limitSectionEnd;
        @SerializedName("ageForbidText")
        private String ageForbidText;//禁止进入文本
        @SerializedName("mpassword")
        private String mpassword;//管理员密码

        public String getMpassword() {
            return mpassword;
        }

        public void setMpassword(String mpassword) {
            this.mpassword = mpassword;
        }

        public boolean isOpenAgeLimit() {
            return isOpenAgeLimit;
        }

        public void setOpenAgeLimit(boolean openAgeLimit) {
            isOpenAgeLimit = openAgeLimit;
        }

        public int getLimitSectionStart() {
            return limitSectionStart;
        }

        public void setLimitSectionStart(int limitSectionStart) {
            this.limitSectionStart = limitSectionStart;
        }

        public int getLimitSectionEnd() {
            return limitSectionEnd;
        }

        public void setLimitSectionEnd(int limitSectionEnd) {
            this.limitSectionEnd = limitSectionEnd;
        }

        public String getAgeForbidText() {
            return ageForbidText;
        }

        public void setAgeForbidText(String ageForbidText) {
            this.ageForbidText = ageForbidText;
        }

        public String getPassWay() {
            return passWay;
        }

        public void setPassWay(String passWay) {
            this.passWay = passWay;
        }

        public String getTransitPushUrl() {
            return transitPushUrl;
        }

        public void setTransitPushUrl(String transitPushUrl) {
            this.transitPushUrl = transitPushUrl;
        }

        public String getHeartTrackingUrl() {
            return heartTrackingUrl;
        }

        public void setHeartTrackingUrl(String heartTrackingUrl) {
            this.heartTrackingUrl = heartTrackingUrl;
        }

        public boolean isShowTopBar() {
            return showTopBar;
        }

        public void setShowTopBar(boolean showTopBar) {
            this.showTopBar = showTopBar;
        }

        public String getLeftTopBarText() {
            return leftTopBarText;
        }

        public void setLeftTopBarText(String leftTopBarText) {
            this.leftTopBarText = leftTopBarText;
        }

        public String getRightTopBarText() {
            return rightTopBarText;
        }

        public void setRightTopBarText(String rightTopBarText) {
            this.rightTopBarText = rightTopBarText;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getMachineAppId() {
            return machineAppId;
        }

        public void setMachineAppId(String machineAppId) {
            this.machineAppId = machineAppId;
        }

        public String getServiceAppId() {
            return serviceAppId;
        }

        public void setServiceAppId(String serviceAppId) {
            this.serviceAppId = serviceAppId;
        }

        public String getServiceAddress() {
            return serviceAddress;
        }

        public void setServiceAddress(String serviceAddress) {
            this.serviceAddress = serviceAddress;
        }

        public Object getAppAuthToken() {
            return appAuthToken;
        }

        public void setAppAuthToken(Object appAuthToken) {
            this.appAuthToken = appAuthToken;
        }

        public boolean isAppAuthTokenStatus() {
            return appAuthTokenStatus;
        }

        public void setAppAuthTokenStatus(boolean appAuthTokenStatus) {
            this.appAuthTokenStatus = appAuthTokenStatus;
        }

        public boolean isThirdAuth() {
            return thirdAuth;
        }

        public void setThirdAuth(boolean thirdAuth) {
            this.thirdAuth = thirdAuth;
        }

        public int getSceneId() {
            return sceneId;
        }

        public void setSceneId(int sceneId) {
            this.sceneId = sceneId;
        }

        public String getSceneName() {
            return sceneName;
        }

        public void setSceneName(String sceneName) {
            this.sceneName = sceneName;
        }

        public String getTrade() {
            return trade;
        }

        public void setTrade(String trade) {
            this.trade = trade;
        }

        public int getUserLibId() {
            return userLibId;
        }

        public void setUserLibId(int userLibId) {
            this.userLibId = userLibId;
        }

        public String getUserLibName() {
            return userLibName;
        }

        public void setUserLibName(String userLibName) {
            this.userLibName = userLibName;
        }

        public String getGroupId() {
            return groupId;
        }

        public void setGroupId(String groupId) {
            this.groupId = groupId;
        }

        public String getLogicGroupID() {
            return logicGroupID;
        }

        public void setLogicGroupID(String logicGroupID) {
            this.logicGroupID = logicGroupID;
        }

        public String getMode() {
            return mode;
        }

        public void setMode(String mode) {
            this.mode = mode;
        }

        public boolean isUseAlipayFace() {
            return useAlipayFace;
        }

        public void setUseAlipayFace(boolean useAlipayFace) {
            this.useAlipayFace = useAlipayFace;
        }

        public String getLinkageAds() {
            return linkageAds;
        }

        public void setLinkageAds(String linkageAds) {
            this.linkageAds = linkageAds;
        }

        public int getSuccessPageTime() {
            return successPageTime;
        }

        public void setSuccessPageTime(int successPageTime) {
            this.successPageTime = successPageTime;
        }

        public int getFailPageTime() {
            return failPageTime;
        }

        public void setFailPageTime(int failPageTime) {
            this.failPageTime = failPageTime;
        }

        public ZoloConfigDTO getZoloConfig() {
            return zoloConfig;
        }

        public void setZoloConfig(ZoloConfigDTO zoloConfig) {
            this.zoloConfig = zoloConfig;
        }

        public boolean isUseIdcard() {
            return useIdcard;
        }

        public void setUseIdcard(boolean useIdcard) {
            this.useIdcard = useIdcard;
        }

        public boolean isUsePersonCard() {
            return usePersonCard;
        }

        public void setUsePersonCard(boolean usePersonCard) {
            this.usePersonCard = usePersonCard;
        }

        public boolean isUseQrcode() {
            return useQrcode;
        }

        public void setUseQrcode(boolean useQrcode) {
            this.useQrcode = useQrcode;
        }

        public boolean isUseLinkage() {
            return useLinkage;
        }

        public void setUseLinkage(boolean useLinkage) {
            this.useLinkage = useLinkage;
        }

        public String getFaceMode() {
            return faceMode;
        }

        public void setFaceMode(String faceMode) {
            this.faceMode = faceMode;
        }

        public String getClickButtonText() {
            return clickButtonText;
        }

        public void setClickButtonText(String clickButtonText) {
            this.clickButtonText = clickButtonText;
        }

        public boolean isIsCaptureFace() {
            return isCaptureFace;
        }

        public void setIsCaptureFace(boolean isCaptureFace) {
            this.isCaptureFace = isCaptureFace;
        }

        public String getUseSerialPort() {
            return useSerialPort;
        }

        public void setUseSerialPort(String useSerialPort) {
            this.useSerialPort = useSerialPort;
        }

        public String getSignalNo() {
            return signalNo;
        }

        public void setSignalNo(String signalNo) {
            this.signalNo = signalNo;
        }

        public String getLightMode() {
            return lightMode;
        }

        public void setLightMode(String lightMode) {
            this.lightMode = lightMode;
        }

        public int getVolume() {
            return volume;
        }

        public void setVolume(int volume) {
            this.volume = volume;
        }

        public String getSucVoice() {
            return sucVoice;
        }

        public void setSucVoice(String sucVoice) {
            this.sucVoice = sucVoice;
        }

        public String getSucText() {
            return sucText;
        }

        public void setSucText(String sucText) {
            this.sucText = sucText;
        }

        public String getFailVoice() {
            return failVoice;
        }

        public void setFailVoice(String failVoice) {
            this.failVoice = failVoice;
        }

        public String getFailText() {
            return failText;
        }

        public void setFailText(String failText) {
            this.failText = failText;
        }

        public boolean isHideNavigationBar() {
            return hideNavigationBar;
        }

        public void setHideNavigationBar(boolean hideNavigationBar) {
            this.hideNavigationBar = hideNavigationBar;
        }

        public boolean isForbidPullDown() {
            return forbidPullDown;
        }

        public void setForbidPullDown(boolean forbidPullDown) {
            this.forbidPullDown = forbidPullDown;
        }

        public String getHomePageUrl() {
            return homePageUrl;
        }

        public void setHomePageUrl(String homePageUrl) {
            this.homePageUrl = homePageUrl;
        }

        public String getTransitionPageUrl() {
            return transitionPageUrl;
        }

        public void setTransitionPageUrl(String transitionPageUrl) {
            this.transitionPageUrl = transitionPageUrl;
        }

        public boolean isIsNeed1V1() {
            return isNeed1V1;
        }

        public void setIsNeed1V1(boolean isNeed1V1) {
            this.isNeed1V1 = isNeed1V1;
        }

        public static class ZoloConfigDTO {
            @SerializedName("supAlgorithmAngle")
            private int supAlgorithmAngle;
            @SerializedName("algorithmAngle")
            private int algorithmAngle;
            @SerializedName("displayAngle")
            private int displayAngle;
            @SerializedName("isMirror")
            private boolean isMirror;
            @SerializedName("isDisplayMirror")
            private boolean isDisplayMirror;

            public int getSupAlgorithmAngle() {
                return supAlgorithmAngle;
            }

            public void setSupAlgorithmAngle(int supAlgorithmAngle) {
                this.supAlgorithmAngle = supAlgorithmAngle;
            }

            public int getAlgorithmAngle() {
                return algorithmAngle;
            }

            public void setAlgorithmAngle(int algorithmAngle) {
                this.algorithmAngle = algorithmAngle;
            }

            public int getDisplayAngle() {
                return displayAngle;
            }

            public void setDisplayAngle(int displayAngle) {
                this.displayAngle = displayAngle;
            }

            public boolean isIsMirror() {
                return isMirror;
            }

            public void setIsMirror(boolean isMirror) {
                this.isMirror = isMirror;
            }

            public boolean isIsDisplayMirror() {
                return isDisplayMirror;
            }

            public void setIsDisplayMirror(boolean isDisplayMirror) {
                this.isDisplayMirror = isDisplayMirror;
            }
        }
    }
}
